Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/locations/create/gmb-listing

Create GMB Listing

Create a GMB listing for the location with ID TG9jYXRpb246MTQwNTU= and connect it to a Google account

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Query

NameTypeRequiredDescription
locationIdstringrequiredThe ID of the location for which GMB listing will be created. Encoded format
connectedAccountIdstringrequiredThe ID of the connected Google account to associate with the listing
folderIdstringoptionalThe Google My Business folder ID where the listing should be created. You can get this ID from the List folders endpoint. If not provided, it will create under Ungrouped (Primary Group)

Headers

NameTypeRequiredDescription
Content-Typestringoptional

Request

Request
curl -X POST 'https://api.synup.com/api/v4/locations/create/gmb-listing?locationId=&connectedAccountId=&folderId=' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200
Example response
{
  "data": {
    "createGmbListingForLocation": {
      "success": true,
      "errors": null
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectrequired
data.createGmbListingForLocationobjectrequired
data.createGmbListingForLocation.successbooleanrequired
data.createGmbListingForLocation.errorsnullrequired